<?php
include_once('class.cheque_cliente.php');
include_once('../class/class.mysql.php');
include_once('../include/utilitarios.php');
include_once('../evento/class.evento.php');
$mysqlCom = $mysqlCom = new MysqlConnect();
$Cliente = new ClienteCheque();
$Evento = new Evento();
extract($_POST);

function ListaCheque($id_evento){
	$sql = "SELECT b.cpf_cnpj, b.nome
			FROM evento_cliente_cheque a, cliente_cheque b
			where a.id_cliente_cheque = b.id_cliente_cheque
			and a.id_evento = $id_evento";
	$qry = mysqli_query($mysqlCom->connect(),$sql);
	while($row = mysqli_fetch_object($qry)){
	  $retorno = $row->cpf_cnpj . ' ' . $row->nome . ' ' .$retorno;	
	}
	return($retorno);
	
}


if($ax == 'Select'){
$Cliente->ClienteChequeSelect($id_evento);
}

if($ax == 'Duplicidade'){
	$Cliente->ChequeDuplicidade($cpf_cnpj, $id_evento);	
}

if($ax == 'InsertCheque'){
	$Cliente->ChequeInsert($cpf_cnpj, $nome, $id_evento);
	$Bloco = ListaCheque($id_evento);
	$Evento->GerenciarLocalizador($id_evento,4, RemoverAcentos($Bloco));	
}


if($ax == 'UpdateCheque'){
	$Cliente->ChequeUpdate($id_cliente_cheque, $nome);
	$Bloco = ListaCheque($id_evento);
	$Evento->GerenciarLocalizador($id_evento,4, RemoverAcentos($Bloco));	
}

if($ax == 'RemoveEventoCheque'){
	$Cliente->EventoChequeRemove($id_evento_cliente_cheque, $id_evento);
	$Bloco = ListaCheque($id_evento);
	$Evento->GerenciarLocalizador($id_evento,4, RemoverAcentos($Bloco));	
	
}

if($ax == 'InsertEventoCheque'){
	$Cliente->EventoChequeInsert($id_evento, $id_cliente_cheque);
	$Bloco = ListaCheque($id_evento);
	$Evento->GerenciarLocalizador($id_evento,4, RemoverAcentos($Bloco));		
}



?>